=== modified file 'viz/treemodel.py'
--- viz/treemodel.py	2007-09-17 21:30:47 +0000
+++ viz/treemodel.py	2007-09-20 19:42:26 +0000
@@ -74,16 +74,17 @@
         if column == REVNO: return ".".join(["%d" % (revno)
                                       for revno in revno_sequence])
         
-        if revid in self.revisions:
+        if revid not in self.revisions:
+            revision = self.branch.repository.get_revisions([revid])[0]
+            self.revisions[revid] = revision
+        else:
             revision = self.revisions[revid]
-            
-            if column == REVISION: return revision
-            if column == MESSAGE: return revision.message.split("\n")[0]
-            if column == COMMITER: return revision.committer
-            if column == TIMESTAMP: return format_date(revision.timestamp,
-                                                       revision.timezone)
-        else:
-            return None
+        
+        if column == REVISION: return revision
+        if column == MESSAGE: return revision.message.split("\n")[0]
+        if column == COMMITER: return revision.committer
+        if column == TIMESTAMP: return format_date(revision.timestamp,
+                                                   revision.timezone)
     
     def on_iter_next(self, rowref):
         if rowref < len(self.line_graph_data) - 1:
@@ -107,10 +108,3 @@
     
     def on_iter_parent(self, child):
         return None
-    
-    def on_ref_node(self, iter):
-        revid = self.line_graph_data[iter][0]
-        if revid not in self.revisions:
-            revision = self.branch.repository.get_revisions([revid])[0]
-            self.revisions[revid] = revision        
-

